package cn.rankin.productservice.repository;

import cn.rankin.common.utils.enums.BaseStatusEnum;
import cn.rankin.productservice.entity.Tag;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Repository;

import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.List;

@Repository
public class tagRepositoryImpl {

    @PersistenceContext
    private EntityManager entityManager;

    public List<Tag> findByIdss(List<String> tagIdList, BaseStatusEnum status) {
        StringBuilder builder = new StringBuilder("select t.*, g.name as group_name, g.merchant_id from lj_tag t left outer join lj_group g on t.group_id = g.id where 1=1");
        Query query = entityManager.createNativeQuery(builder.toString(), Tag.class);
        return query.getResultList();
    }
}
