package cn.rankin.common.utils.enums;

public enum ItemTypeEnum {

    COURSE("课程"), SUPPORT("周边");

    private String desc;

    ItemTypeEnum(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public static ItemTypeEnum getByName(String name) {
        for (ItemTypeEnum itemType : values()) {
            if (itemType.name().equals(name)) {
                return itemType;
            }
        }
        return null;
    }

    public static void main(String[] args) {
        ItemTypeEnum courseType = ItemTypeEnum.COURSE;
        TagTypeEnum tagType = TagTypeEnum.COURSE;
        System.out.println(courseType.name().equals(tagType.name()));
    }
}
